## org.eclipse.amp.agf.gef
Interface ModelFactoryProvider

All Known Implementing Classes:
  AscapeModelFactoryProvider, ScapeWrapperModel

    public interface ModelFactoryProvider

Method Summary
`EditPartFactory` `getEditPartFactory()`
`EditPartFactory` `getEditPartTreeFactory()`

Method Detail

### getEditPartFactory

    EditPartFactory getEditPartFactory()

### getEditPartTreeFactory

    EditPartFactory getEditPartTreeFactory()

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors